package com.bpcl.lpg.core.service.impl;

import org.slf4j.LoggerFactory;
import org.springframework.security.core.Authentication;
import org.springframework.security.authentication.AuthenticationProvider;
import org.slf4j.Logger;
import com.bpcl.lpg.core.service.LpgAuthenticationService;

public class LpgAuthenticationServiceImpl implements LpgAuthenticationService
{
    private static final Logger LOG;
    private AuthenticationProvider authenticationProvider;
    
    public Authentication authenticate(final Authentication authentication) {
        return this.getAuthenticationProvider().authenticate(authentication);
    }
    
    public AuthenticationProvider getAuthenticationProvider() {
        return this.authenticationProvider;
    }
    
    public void setAuthenticationProvider(final AuthenticationProvider authenticationProvider) {
        this.authenticationProvider = authenticationProvider;
    }
    
    static {
        LOG = LoggerFactory.getLogger(LpgAuthenticationServiceImpl.class);
    }
}
